SELECT c.claimid,
       s.total AS settlement_total,
       xpath.valueOf(c.damagereport,'//Vehicle/@Make') AS Make,
       xpath.valueOf(c.damagereport,'//Cause') AS Cause
  FROM ins_claim c, (SELECT claimid,
                        SUM(amount) AS TOTAL
                       FROM ins_claim_payment p
                      WHERE p.claimid in (77804,77805)
                     GROUP BY claimid) s
WHERE c.claimid = s.claimid
  AND c.claimid in (77804,77805)
