CREATE OR REPLACE PACKAGE xpath_rules AS

  -- Validate an XML document based on an named Ruleset
  -- Return any offending errors in the errors argument

  PROCEDURE validate( doc           IN xmldom.DOMDocument,
                      ruleset_name  IN VARCHAR2,
                      valid        OUT BOOLEAN,
                      errors       OUT VARCHAR2
                    );
END;
