PROMPT +==========================================================+
PROMPT | Your URL, File, and Debug-Related Java Security Settings |
PROMPT +==========================================================+
set pages 999
column "Permission" format a30
column "Name" format a20
column "Action" format a15
column "Enab?"  format a5
column "Key"    format 99999
SELECT SUBSTR(type_name,INSTR(type_name,'.',-1)+1)||CHR(10)||
       '('||SUBSTR(type_name,1,INSTR(type_name,'.',-1)-1)||')'
        AS "Permission",
       name      AS "Name",
       action    AS "Action",
       DECODE(SUBSTR(enabled,1,1),'E','Y','N')   AS "Enab?",
       seq       AS "Key"
 FROM user_java_policy
WHERE GRANTEE_NAME IN (USER,'JAVADEBUGPRIV') /* Eliminate PUBLIC privs */
  AND (type_name = 'java.net.SocketPermission'
       OR type_name = 'java.io.FilePermission'
       OR type_name = 'java.lang.RuntimePermission'
       OR type_name = 'java.util.PropertyPermission'
       OR (    type_name = 'oracle.aurora.security.JServerPermission'
           AND      name = 'Debug')
       )
ORDER BY 1,3,2
/
