import org.xml.sax.SAXParseException;
import org.xml.sax.InputSource;
import org.w3c.dom.Document;
import oracle.xml.parser.v2.*;
import java.io.*;
import java.net.*;
import URLUtils;

public class ParseAccessLogWithDOMParser {
  public static void main(String[] args) throws Exception {
    String filename = "AccessLog.xml";
    // Use a URL directly from the beginning. No need to set SystemId
    URL fileURL = URLUtils.newURL(filename);
    // Create a new XML Parser
    DOMParser dp = new DOMParser();
    try {
      // Attempt to parse the URL
      dp.parse(fileURL);
      System.out.println("Parsed ok.");
      // Get the parsed Document
      Document xmldoc = dp.getDocument();
    }
    catch (SAXParseException spe) { System.out.println(spe.getMessage()); }
  }
}