import oracle.xml.parser.v2.*;
import org.xml.sax.SAXParseException;
import java.io.FileReader;

public class ParseFAQ {
  public static void main(String[] args) throws Exception {
    String filename = "FAQWithMultipleEntities.xml";
    // (1) Create a new XML Parser
    DOMParser dp = new DOMParser();
    // (2) Open a Reader on the file (assuming its in current directory)
    FileReader fileRdr = new FileReader(filename);
    try {
      // (3) Attempt to parse the stream
      dp.parse(fileRdr);
      System.out.println("Parsed ok.");
    }
    catch (SAXParseException spe) {
      System.out.println(spe.getMessage());
    }
  }
}