import java.net.*;
import XMLDocURLStreamHandler;

public class XMLDocURLStreamHandlerFactory implements URLStreamHandlerFactory {
  public URLStreamHandler createURLStreamHandler(String protocol) {
    // If the URL being constructed is an xmldoc:/foo/bar.xml Url, we do...
    if (protocol.equals("xmldoc")) return new XMLDocURLStreamHandler();
    // Otherwise, let the default URL mechanism handle it.
    else return null;
  }
}