<!-- EmployeeTable.xsl Standard XSLT Stylesheet Syntax -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <!-- xsl:output overrides default output behavior -->
  <xsl:output method="html" encoding="ISO8859-1" indent="no"/>
  <xsl:template match="/">
    <html>
      <head><title>Employee Info</title></head>
      <body>
        <table border="1" cellspacing="0">
          <tr>
            <th>Employee Name</th>
            <th>Salary</th>
          </tr>
          <xsl:for-each select="ROWSET/ROW">
            <tr>
              <td><xsl:value-of select="ENAME"/></td>
              <td><xsl:value-of select="SAL"/></td>
            </tr>
         </xsl:for-each>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>