	/*@lineinfo:filename=AirportList.jsp*/
	/*@lineinfo:generated-code*/
package ch11;

import oracle.jsp.runtime.*;
import javax.servlet.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;
import java.io.*;
import java.util.*;
import java.lang.reflect.*;
import java.beans.*;
import Examples;
import java.sql.*;
import oracle.xml.sql.query.*;


public class AirportList extends oracle.jsp.runtime.HttpJsp {

	public final String _globalsClassName = null;

	// ** Begin Declarations


	// ** End Declarations

	public void _jspService(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {

		response.setContentType( "text/xml");
		/* set up the intrinsic variables using the pageContext goober:
		** session = HttpSession
		** application = ServletContext
		** out = JspWriter
		** page = this
		** config = ServletConfig
		** all session/app beans declared in globals.jsa
		*/
		JspFactory factory = JspFactory.getDefaultFactory();
		PageContext pageContext = factory.getPageContext( this, request, response, null, true, JspWriter.DEFAULT_BUFFER, true);
		// Note: this is not emitted if the session directive == false
		HttpSession session = pageContext.getSession();
		if (pageContext.getAttribute(OracleJspRuntime.JSP_REQUEST_REDIRECTED, PageContext.REQUEST_SCOPE) != null) {
			pageContext.setAttribute(OracleJspRuntime.JSP_PAGE_DONTNOTIFY, "true", PageContext.PAGE_SCOPE);
			factory.releasePageContext(pageContext);
			return;
}
		ServletContext application = pageContext.getServletContext();
		JspWriter out = pageContext.getOut();
		AirportList page = this;
		ServletConfig config = pageContext.getServletConfig();

		try {
			// global beans
			// end global beans


			/*@lineinfo:user-code*//*@lineinfo:4^1*/Connection cn = Examples.getConnection();
			    // Retrieve airport code to be found from the "find" URL parameter
			    String code = request.getParameter("find");
			    // SQL Statement to search table of all known airports
			    // Uses an Oracle8i Functional Index on UPPER(Description)
			    String qry = "SELECT tla as \"Code\", description as \"Name\""+
			                 "  FROM airport "+
			                 " WHERE tla = UPPER('" + code + "')"+
			                 "    OR UPPER(description) LIKE UPPER('%"+ code + "%')"+
			                 " ORDER BY UPPER(description)";
			    // Create an OracleXMLQuery object
			    OracleXMLQuery oxq = new OracleXMLQuery(cn, qry);
			    // Retrieve only the first four matches
			    oxq.setMaxRows(4);
			    // Use <AirportList> as document element for Rowset
			    oxq.setRowsetTag("AirportList");
			    // Use <Airport> for each row in the result
			    oxq.setRowTag("Airport");
			    // Get the XML Results as a String as write to the output stream
			    out.println(oxq.getXMLString());
			    cn.close();
			
			/*@lineinfo:generated-code*/
			out.println( "");

			out.flush();

		}
		catch( Exception e) {
			try {
				if (out != null) out.clear();
			}
			catch( Exception clearException) {
			}
			pageContext.handlePageException( e);
		}
		finally {
			if (out != null) out.close();
			factory.releasePageContext(pageContext);
		}

	}
}
