import java.sql.*; 
import java.util.*; 
import oracle.jdbc.driver.*; 
 
public class Examples {
  public static Connection getConnection() throws SQLException { 
    String     username      = "xmlbook"; 
    String     password      = "xmlbook";

    String     thinConn      = "jdbc:oracle:thin:@localhost:1521:ORCL";
    String     default8iConn = "jdbc:oracle:kprb:";
    String     driverClass   = "oracle.jdbc.driver.OracleDriver"; 
    Connection cn            = null; 
    try { 
      Driver d = (Driver)Class.forName(driverClass).newInstance(); 
      return insideOracle8i()
             ? DriverManager.getConnection(default8iConn)
             : DriverManager.getConnection(thinConn,username,password);
    } 
    catch (Exception e) { 
      throw new SQLException("Error Loading JDBC Driver"); 
    } 
  } 
 
  public static boolean insideOracle8i() { 
    // If oracle.server.version is non null, we're running in the database
    String ver = System.getProperty("oracle.server.version");
    return (ver != null && !ver.equals("")); 
  } 
}
