import javax.servlet.*;
import javax.servlet.http.*;

public class StockQuotesXmlServlet extends HttpServlet {

  public void doGet(HttpServletRequest request, HttpServletResponse response)
                    throws ServletException, java.io.IOException {

    // Set MIME type of Response to indicate XML
    response.setContentType("text/xml");

    // Use HTTP request parameter 'id' as customer id
    int id = Integer.parseInt(request.getParameter("id"));

    try {
      // Use StockQuotesXml.print to generate the XML Stock Quotes,
      // passing the Servlet's HTTP Response OutputStream.
      StockQuotesXml.print(id, response.getOutputStream());
    }
    catch (Exception e) {
      throw new ServletException("Error processing query");
    }
  }
}
