<?xml version = '1.0' encoding = 'UTF-8'?>
<xsl:stylesheet version="1.0" 
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
   <!-- Transform XXXX into canonical ROWSET for site_newsstory -->
   <xsl:template match="/">
      <ROWSET>
         <!-- XPath for repeating source rows -->
         <xsl:for-each select="page/ROWSET/ROW">
            <ROW>
               <ID><xsl:value-of select="ID"/></ID>
               <TITLE><xsl:value-of select="TITLE"/></TITLE>
               <URL><xsl:value-of select="URL"/></URL>
               <CATEGORY><xsl:value-of select="CATEGORY"/></CATEGORY>
               <DESCRIPTION><xsl:value-of select="DESCRIPTION"/></DESCRIPTION>
               <TIMESTAMP><xsl:value-of select="TIMESTAMP"/></TIMESTAMP>
               <SOURCE><xsl:value-of select="SOURCE"/></SOURCE>
            </ROW>
         </xsl:for-each>
      </ROWSET>
   </xsl:template>
</xsl:stylesheet>