<!-- ForumPageStructure.xsl: Transform the Abstract Structure of a <page> -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:import  href="UtilData.xsl"/>
  <xsl:import  href="ColumnOverrides.xsl"/>
  <xsl:include href="UtilBreadcrumbs.xsl"/>
  <xsl:include href="UtilActions.xsl"/>
  <xsl:include href="UtilDataForm.xsl"/>
  <xsl:include href="UtilPaging.xsl"/>
  <xsl:template match="page">
    <xsl:apply-templates select="breadcrumbs"/>
    <xsl:apply-templates select="actions"/>
    <xsl:apply-templates select="dataform"/>
    <xsl:apply-templates select="data"/>
    <xsl:if test="paging">
      <hr/>
      <center><xsl:apply-templates select="paging"/></center>
    </xsl:if>
  </xsl:template>
</xsl:stylesheet>