<?xml version="1.0"?>
<!-- FAQ-In-UKFAQ.xsl: Transform ROWSET/ROW format into UK FAQ vocabulary -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output doctype-system="Frequently-Posed-Queries.dtd" indent="yes"/>
  <xsl:template match="/">
    <Frequently-Posed-Queries>
      <xsl:for-each select="ROWSET/ROW">
        <Query-Frequently-Posed By="{SUBMITTED_BY}" Difficulty="{LEVEL}">
          <Query><xsl:value-of select="QUESTION"/></Query>
          <Reply><xsl:value-of select="ANSWER"/></Reply>
        </Query-Frequently-Posed>
      </xsl:for-each>
    </Frequently-Posed-Queries>
  </xsl:template>
</xsl:stylesheet>