<!-- insert-product.xsl -->
<xsl:stylesheet version="1.0" 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:ext="http://www.oracle.com/XSL/Transform/java/MarkupExtensions"
  exclude-result-prefixes="ext">
  <!-- Start with the identity Transformation -->
  <xsl:include href="identity.xsl"/>
  <!-- 
   | Use our xmlMarkup() extension function to write
   | out the features nested XML content as literal
   | XML text markup.
   +-->
  <xsl:template match="features">
    <features>
      <xsl:value-of select="ext:xmlMarkup(*)"/>
    </features>
  </xsl:template>
</xsl:stylesheet>
