<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text"/>
<xsl:template match="/"
>BEGIN
  <xsl:for-each select="/ROWSET/ROW">
    -- Revoke and Remove Permission
    dbms_java.revoke_permission(
             grantee => '<xsl:value-of select="GRANTEE_NAME"/>',
     permission_type => '<xsl:value-of select="TYPE_SCHEMA"/>:<xsl:value-of select="TYPE_NAME"/>',
     permission_name => '<xsl:value-of select="NAME"/>',
   permission_action => '<xsl:value-of select="ACTION"/>');
    dbms_java.delete_permission(<xsl:value-of select="SEQ"/>);
  </xsl:for-each>
  COMMIT;
END;
.
/</xsl:template>
</xsl:stylesheet>
